<template>
  <div>
    <div class="reviews-home home-trusted-by pt-48 pb-48" >
      <div class="container" v-if="reviewsList && reviewsList.length">
        <div class="row">
          <div class="col-12 mb-44">
            <div class="d-flex align-items-center justify-content-between">
              <div>
                <h1>
                  Trusted and rated by people
                </h1>
              </div>
            </div>
          </div>
          <div class="col-12 relative">
            <div>
              <VueSlickCarousel
                  class="reviews-slider"
                  ref="reviews"
                  v-bind="settings"
              >
                <div
                    class="review-cards home-trusted-by-cards relative"
                    v-for="(item, index) in reviewsList"
                    :key="index"
                    style="height: 123px"
                >
                  <svg class="pattern-right" width="97" height="97" viewBox="0 0 97 97" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M1.01807e-05 0.999993L88 1C92.4183 1 96 4.58172 96 9L96 97" stroke="#FF7B54" stroke-width="1.6"/>
                  </svg>
                  <svg class="pattern-left" width="97" height="97" viewBox="0 0 97 97" fill="none" xmlns="http://www.w3.org/2000/svg">
                    <path d="M97 96H9C4.58172 96 1 92.4183 1 88V0" stroke="#FF7B54" stroke-width="1.6"/>
                  </svg>
                  <div
                      class="
                    rev-bottom
                    d-flex
                    align-items-center
                    justify-content-between
                  "
                  >
                    <div>
                      <h3>
                        {{ item.rating }}
                      </h3>
                      <svg v-for="(stars, index) in item.rate"
                           :key="index" width="18" height="16" viewBox="0 0 18 16" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M8.07668 1.21993C8.41827 0.398636 9.58173 0.398636 9.92332 1.21993L11.4105 4.79546C11.5545 5.1417 11.8801 5.37827 12.2539 5.40823L16.114 5.7177C17.0006 5.78878 17.3601 6.89529 16.6846 7.47396L13.7436 9.99322C13.4588 10.2372 13.3345 10.6199 13.4215 10.9847L14.32 14.7515C14.5264 15.6167 13.5851 16.3006 12.826 15.8369L9.52125 13.8184C9.20124 13.6229 8.79876 13.6229 8.47875 13.8184L5.17397 15.8369C4.41487 16.3006 3.47362 15.6167 3.68001 14.7515L4.57852 10.9847C4.66553 10.6199 4.54116 10.2372 4.25637 9.99322L1.31539 7.47396C0.639854 6.89529 0.99938 5.78878 1.88603 5.7177L5.74612 5.40823C6.11991 5.37827 6.44552 5.1417 6.58953 4.79546L8.07668 1.21993Z" fill="#FF7B54"/>
                      </svg>
                    </div>
                    <div>
                      <a :href="item.url" class="text-right" target="_blank">
                        <img :src="item.logo_url" alt="Logos"  />
                        <p>
                          ({{ item.count }} reviews)
                        </p>
                      </a>
                    </div>
                  </div>
                </div>
              </VueSlickCarousel>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</template>

<script>
import {mapState} from "vuex";

export default {
  name: 'home-reviews',
  data() {
    return {
      settings: {
        speed: 500,
        slidesToShow: 4,
        autoplay: true,
        slidesToScroll: 1,
        infinite: true,
        arrows: false,
        responsive: [
          {
            breakpoint: 991,
            settings: {
              slidesToShow: 2,
              slidesToScroll: 1,
            },
          },
          {
            breakpoint: 617,
            settings: {
              slidesToShow: 1,
              slidesToScroll: 1,
            },
          },

        ],
      },
      reviewsList: [
        {rating: 4.7, rate: 5, url: 'https://www.google.com/search?sxsrf=AJOqlzVQ4Nafarwbii9muJqs99DAzgPqfg%3A1676057285889&q=US%20Star%20Trucking%20LLC&stick=H4sIAAAAAAAAAONgU1I1qLCwME1KSzNMM0pNNTAxM0uyMqhIMk5NMUsxT0k2ME8zMDBPXsQqEhqsEFySWKQQUlSanJ2Zl67g4-MMANreshZAAAAA&mat=Ca07csA7D1in&ved=2ahUKEwik3pf514v9AhVOlosKHY_GCYsQrMcEegQIDhAH', logo_url:'/images/google.png', count: '2756'},
        {rating: 4.8, rate: 5, url: 'https://www.transportreviews.com/Company/US-Star-Trucking-LLC', logo_url:'/images/trans-rev.png', count: '1556'},
        {rating: 4.7, rate: 5, url: 'https://reviews.birdeye.com/us-star-trucking-llc-164789063864352', logo_url:'/images/bird-eye.png', count: '2845'},
        {rating: 4.7, rate: 5, url: 'https://www.google.com/search?sxsrf=AJOqlzVQ4Nafarwbii9muJqs99DAzgPqfg%3A1676057285889&q=US%20Star%20Trucking%20LLC&stick=H4sIAAAAAAAAAONgU1I1qLCwME1KSzNMM0pNNTAxM0uyMqhIMk5NMUsxT0k2ME8zMDBPXsQqEhqsEFySWKQQUlSanJ2Zl67g4-MMANreshZAAAAA&mat=Ca07csA7D1in&ved=2ahUKEwik3pf514v9AhVOlosKHY_GCYsQrMcEegQIDhAH', logo_url:'/images/google.png', count: '2756'},

      ]
    };
  },

  methods: {
    next() {
      this.$refs.reviews.next();
    },
    prew() {
      this.$refs.reviews.prev();
    },
  },

};
</script>
